Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Data Only: Visa Use Cases


3-D Secure Data Only is a solution that shares data that merchants collect during transactions with the issuer, so that the issuers can make more informed authorization decisions for future transactions. Data Only uses the 3-D Secure infrastructure, but it is not a complete 3-D Secure authentication. 3-D Secure Data Only is a frictionless experience.

Data Only can increase authorization approvals and reduce fraud in these ways:

  • Merchants share additional transaction data with the issuer, allowing the issuer to feel more comfortable with the transaction's risk level. The issuer can gain additional insight into who the buyer is and what they are purchasing, which enables better authorization decisions.
  • Since Data Only is not a full authentication, merchants retain fraud liability, putting less risk on the issuers, which might lead to a higher approval rate when compared to non-authenticated transactions.

Visa supports the Visa Data Only program.

Visa Data Only

Visa has a data only data flow so that merchants can share customer data with the issuers without going through authentication. The additional data provided to the issuer helps the issuer make risk assessments about approving cardholder transactions. Data only data flows are frictionless and do not affect the customer experience. When sending a Visa data only check enrollment request, be sure to include all of the required fields and set the consumerAuthenticationInformation.challengeCode field to 06.

The response from the data only request includes this data:

  • ECI = 07
  • PARes = I
  • CAVV value

This data from the response must be included in the authorization request.

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example: Visa Data Only

{    "clientReferenceInformation": {        "code": "test"    },    "customerInformation": {        "merchantCustomerId": "SW489TT19"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "10.99"        },        "billTo": {            "address1": "1 Market St",            "address2": "Address 2",            "administrativeArea": "CA",            "country": "US",            "locality": "san francisco",            "firstName": "Test",            "lastName": "Testlastname",            "phoneNumber": "4158880000",            "email": "[email protected]",            "postalCode": "94105"        }    },    "paymentInformation": {        "card": {            "expirationMonth": "05",            "expirationYear": "2029",            "number": "4XXXXXXXXXXX2X24"        }    },    "deviceInformation": {        "httpAcceptBrowserValue": "data",        "httpAcceptContent": "pa_http_user_accept_value",        "httpBrowserLanguage": "en_us",        "httpBrowserJavaEnabled": false,        "httpBrowserJavaScriptEnabled": false,        "httpBrowserColorDepth": "24",        "httpBrowserScreenHeight": "864",        "httpBrowserScreenWidth": "1536",        "httpBrowserTimeDifference": "300",        "userAgentBrowserValue": "123"    },    "consumerAuthenticationInformation": {        "deviceChannel": "Browser",        "challengeCode": "06"    }}
{    "clientReferenceInformation": {        "code": "test"    },    "consumerAuthenticationInformation": {        "eciRaw": "07",        "authenticationTransactionId": "2DkdQ8ZG1urNNQR0XTM1",        "strongAuthentication": {            "OutageExemptionIndicator": "0"        },        "effectiveAuthenticationType": "FR",        "authorizationPayload": "eyJjb250YWluZXJWZXJzaW9uIjoiMSIsImF1dGhlbnRpY2F0aW9uVmFsdWUiOiJBSmtCQmtoZ1FRQUFBRTRnU0VKeWRRQUFBQUE9IiwiZWZmZWN0aXZlQXV0aFR5cGUiOiJGUiIsImFjc09wZXJhdG9ySUQiOiJNZXJjaGFudEFDUyIsInRocmVlRFNSZXF1ZXN0b3JDaGFsbGVuZ2VJbmQiOiIwNiIsInRyYW5zU3RhdHVzIjoiSSIsImRzVHJhbnNJRCI6ImNlOGMzNTk1LTE4NjgtNDI0Mi1iM2VlLTM1Njg5ZGYyZjJjZSIsImFjc1RyYW5zSUQiOiIzMDQ3NTczZi01OTBlLTQ2YjUtODNmNC02YTQ5YzFiNDIzOWMiLCJtZXNzYWdlVmVyc2lvbiI6IjIuMi4wIiwibWVyY2hhbnROYW1lIjoiUEFUZXN0NCIsInB1cmNoYXNlRGF0ZSI6IjIwMjUwNDI1MTA1ODQ1IiwicHVyY2hhc2VBbW91bnQiOiIxMDk5IiwibWVyY2hhbnRDb3VudHJ5Q29kZSI6Ijg0MCIsImFjcXVpcmVyQklOIjoiNDY5MjE2IiwiYWNxdWlyZXJNZXJjaGFudElEIjoiZGVmYXVsdCIsInRocmVlRFNSZXF1ZXN0b3JOYW1lIjoiUEFUZXN0NCIsInRocmVlRFNSZXF1ZXN0b3JJRCI6IjEwMDUyMjM2KjU1ZWYzZWZiZjcyM2FhNDMxYzk5YWM0ZCIsImNhcmRCcmFuZCI6IlZJU0EifQ==",        "eci": "07",        "token": "AxjzbwSTlC3VWiL9QyNJAEQBTRduBSgekC4lp/cMm2OKOPlRqQoBgAAAyhZr",        "cavv": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "paresStatus": "I",        "acsReferenceNumber": "CardinalACS",        "xid": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "directoryServerTransactionId": "ce8c3595-1868-4242-b3ee-35689df2f2ce",        "veresEnrolled": "Y",        "threeDSServerTransactionId": "205e97c1-f15a-480f-8497-55e9a68cf046",        "acsOperatorID": "MerchantACS",        "ecommerceIndicator": "internet",        "specificationVersion": "2.2.0",        "acsTransactionId": "3047573f-590e-46b5-83f4-6a49c1b4239c"    },    "id": "7455787250786729403209",    "paymentInformation": {        "card": {            "bin": "400000",            "type": "VISA"        }    },    "status": "AUTHENTICATION_SUCCESSFUL",    "submitTimeUtc": "2025-04-25T10:58:47Z"}

Example: Bundled Authentication and Authorization with Visa Data Only

{    "clientReferenceInformation": {        "code": "test"    },    "customerInformation": {        "merchantCustomerId": "SW489TT19"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "10.99"        },        "billTo": {            "address1": "1 Market St",            "address2": "Address 2",            "administrativeArea": "CA",            "country": "US",            "locality": "san francisco",            "firstName": "Test",            "lastName": "Testlastname",            "phoneNumber": "4158880000",            "email": "[email protected]",            "postalCode": "94105"        }    },    "processingInformation": {        "actionList": [            "CONSUMER_AUTHENTICATION"        ]    },    "paymentInformation": {        "card": {            "expirationMonth": "05",            "expirationYear": "2029",            "number": "4XXXXXXXXXXX20X4"        }    },    "deviceInformation": {        "httpAcceptBrowserValue": "data",        "httpAcceptContent": "pa_http_user_accept_value",        "httpBrowserLanguage": "en_us",        "httpBrowserJavaEnabled": false,        "httpBrowserJavaScriptEnabled": false,        "httpBrowserColorDepth": "24",        "httpBrowserScreenHeight": "864",        "httpBrowserScreenWidth": "1536",        "httpBrowserTimeDifference": "300",        "userAgentBrowserValue": "123"    },    "consumerAuthenticationInformation": {        "deviceChannel": "Browser",        "challengeCode": "06"    }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/7455831774536819703209/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7455831774536819703209"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/7455831774536819703209/captures"        }    },    "clientReferenceInformation": {        "code": "test"    },    "consumerAuthenticationInformation": {        "eciRaw": "07",        "authenticationTransactionId": "30lLF8FUJmwmp3VofTC1",        "strongAuthentication": {            "OutageExemptionIndicator": "0"        },        "effectiveAuthenticationType": "FR",        "authorizationPayload": "eyJjb250YWluZXJWZXJzaW9uIjoiMSIsImF1dGhlbnRpY2F0aW9uVmFsdWUiOiJBSmtCQmtoZ1FRQUFBRTRnU0VKeWRRQUFBQUE9IiwiZWZmZWN0aXZlQXV0aFR5cGUiOiJGUiIsImFjc09wZXJhdG9ySUQiOiJNZXJjaGFudEFDUyIsInRocmVlRFNSZXF1ZXN0b3JDaGFsbGVuZ2VJbmQiOiIwNiIsInRyYW5zU3RhdHVzIjoiSSIsImRzVHJhbnNJRCI6IjZhODZlNjI4LTc2ODYtNDc4Zi1iNWUzLTRmMzFjMTE1YzcwZiIsImFjc1RyYW5zSUQiOiI3NTBmOTkzOC0wYzYzLTQ3MzQtODY0Yy1kNjg5MWEyNzZlZjIiLCJtZXNzYWdlVmVyc2lvbiI6IjIuMi4wIiwibWVyY2hhbnROYW1lIjoiUEFUZXN0NCIsInB1cmNoYXNlRGF0ZSI6IjIwMjUwNDI1MTIxMjU2IiwicHVyY2hhc2VBbW91bnQiOiIxMDk5IiwibWVyY2hhbnRDb3VudHJ5Q29kZSI6Ijg0MCIsImFjcXVpcmVyQklOIjoiNDY5MjE2IiwiYWNxdWlyZXJNZXJjaGFudElEIjoiZGVmYXVsdCIsInRocmVlRFNSZXF1ZXN0b3JOYW1lIjoiUEFUZXN0NCIsInRocmVlRFNSZXF1ZXN0b3JJRCI6IjEwMDUyMjM2KjU1ZWYzZWZiZjcyM2FhNDMxYzk5YWM0ZCIsImNhcmRCcmFuZCI6IlZJU0EifQ==",        "eci": "07",        "token": "Axj/7wSTlC5ziEBhdn2pAEQs3aNWrhmxbt2jVm2cMXLdgzZMHKaLtwTReAU0Xbgmi9pAuJaf3DJtjijj5UakLAZJyhc5xCAwuz7UgAAA5APX",        "cavv": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "paresStatus": "I",        "acsReferenceNumber": "CardinalACS",        "xid": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "directoryServerTransactionId": "6a86e628-7686-478f-b5e3-4f31c115c70f",        "veresEnrolled": "Y",        "threeDSServerTransactionId": "4e4689c5-97ac-469b-8d67-0613d8794de7",        "acsOperatorID": "MerchantACS",        "ecommerceIndicator": "internet",        "specificationVersion": "2.2.0",        "acsTransactionId": "750f9938-0c63-4734-864c-d6891a276ef2"    },    "id": "7455831774536819703209",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "10.99",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "001"        },        "card": {            "bin": "400000",            "type": "001"        }    },    "processorInformation": {        "systemTraceAuditNumber": "061920",        "approvalCode": "831000",        "merchantAdvice": {            "code": "01",            "codeRaw": "M001"        },        "responseDetails": "ABC",        "networkTransactionId": "016153570198200",        "retrievalReferenceNumber": "511512061920",        "consumerAuthenticationResponse": {            "code": "2",            "codeRaw": "2"        },        "transactionId": "016153570198200",        "responseCode": "00",        "avs": {            "code": "Y",            "codeRaw": "Y"        }    },    "reconciliationId": "7455831774536819703209",    "status": "AUTHORIZED",    "submitTimeUtc": "2025-04-25T12:12:59Z",    "tokenInformation": {        "additionalInformation": "0"    }}

These fields are the minimum fields required when you request the Visa Data service.

Required Fields for Visa Data Only
buyerInformation.mobilePhone string

This field is required (when available) if buyerInformation.workPhone is not used, unless market or regional mandate restricts sending this information.

buyerInformation.workPhone string

This field is required (when available) if buyerInformation.mobilePhone is not used, unless market or regional mandate restricts sending this information.

clientReferenceInformation.code string
consumerAuthenticationInformation.challengeCode string

Set to 06 for data only.

deviceInformation.httpAcceptBrowserValue string
deviceInformation.httpAcceptContent string
deviceInformation.httpBrowserColorDepth string
deviceInformation.httpBrowserJavaEnabled boolean
deviceInformation.httpBrowserJavaScriptEnabled boolean
deviceInformation.httpBrowserLanguage string
deviceInformation.httpBrowserScreenHeight string
deviceInformation.httpBrowserScreenWidth string
deviceInformation.httpBrowserTimeDifference string
deviceInformation.ipAddress string
deviceInformation.userAgentBrowserValue string
orderInformation.amountDetails.currency string
orderInformation.amountDetails.totalAmount string
orderInformation.billTo.address1 string
orderInformation.billTo.administrativeArea string

This field is required for the US and Canada.

orderInformation.billTo.country string
orderInformation.billTo.email string
orderInformation.billTo.firstName string
orderInformation.billTo.lastName string
orderInformation.billTo.locality string
orderInformation.billTo.postalCode string
paymentInformation.card.expirationMonth string
paymentInformation.card.expirationYear string
paymentInformation.card.number string

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.